CFMetaData.Flag (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.config

## Enum CFMetaData.Flag

- java.lang.Object
- - java.lang.Enum<CFMetaData.Flag>
  - - org.apache.cassandra.config.CFMetaData.Flag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CFMetaData.Flag>
  Enclosing class:
    CFMetaData

      public static enum CFMetaData.Flag
      extends java.lang.Enum<CFMetaData.Flag>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPOUND`
    `COUNTER`
    `DENSE`
    `SUPER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CFMetaData.Flag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CFMetaData.Flag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUPER

          public static final CFMetaData.Flag SUPER

    - #### COUNTER

          public static final CFMetaData.Flag COUNTER

    - #### DENSE

          public static final CFMetaData.Flag DENSE

    - #### COMPOUND

          public static final CFMetaData.Flag COMPOUND

  - ### Method Detail

    - #### values

          public static CFMetaData.Flag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CFMetaData.Flag c : CFMetaData.Flag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CFMetaData.Flag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation